package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalGetRoomByGroupIDLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalGetRoomByGroupIDLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalGetRoomByGroupIDLogic {
	return &SignalGetRoomByGroupIDLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalGetRoomByGroupIDLogic) SignalGetRoomByGroupID(in *rtc.SignalGetRoomByGroupIDReq) (*rtc.SignalGetRoomByGroupIDResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalGetRoomByGroupIDResp{}, nil
}
